net.sf.jasperreports.engine.design

## Class JRDesignComponentElement

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElement
  - - net.sf.jasperreports.engine.design.JRDesignElement
    - - net.sf.jasperreports.engine.design.JRDesignComponentElement

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRChild, JRCloneable, JRCommonElement, JRComponentElement, JRElement, JRIdentifiable, JRPropertiesHolder, JRStyleContainer, JRVisitable

      public class JRDesignComponentElement
      extends JRDesignElement
      implements JRComponentElement

  A `JRComponentElement` implementation which is to be used at report design time.
  Version:
    $Id: JRDesignComponentElement.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_COMPONENT`
    `static java.lang.String` | `PROPERTY_COMPONENT_KEY`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElement

      `PROPERTY_ELEMENT_GROUP, PROPERTY_HEIGHT, PROPERTY_KEY, PROPERTY_PARENT_STYLE, PROPERTY_PARENT_STYLE_NAME_REFERENCE, PROPERTY_PRINT_WHEN_EXPRESSION, PROPERTY_PRINT_WHEN_GROUP_CHANGES, PROPERTY_PROPERTY_EXPRESSIONS, PROPERTY_Y`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElement

      `backcolor, defaultStyleProvider, elementGroup, forecolor, height, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, key, modeValue, parentStyle, parentStyleNameReference, positionTypeValue, printWhenExpression, printWhenGroupChanges, PROPERTY_POSITION_TYPE, PROPERTY_PRINT_IN_FIRST_WHOLE_BAND, PROPERTY_PRINT_REPEATED_VALUES, PROPERTY_PRINT_WHEN_DETAIL_OVERFLOWS, PROPERTY_REMOVE_LINE_WHEN_BLANK, PROPERTY_STRETCH_TYPE, PROPERTY_WIDTH, PROPERTY_X, stretchTypeValue, uuid, width, x, y`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRComponentElement

      `PROPERTY_COMPONENT_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignComponentElement()` Creates an empty component element.
    `JRDesignComponentElement(JRDefaultStyleProvider defaultStyleProvider)` Creates an empty component element.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `Component` | `getComponent()` Returns the component instance wrapped by this element.
    `ComponentKey` | `getComponentKey()` Returns the component type key for this element.
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `void` | `setComponent(Component component)` Sets the component instance wrapped by this element.
    `void` | `setComponentKey(ComponentKey componentKey)` Sets the component type key that corresponds to the component instance.
    `void` | `visit(JRVisitor visitor)`

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElement

      `addPropertyExpression, getPropertyExpressions, getPropertyExpressionsList, removePropertyExpression, removePropertyExpression, setElementGroup, setHeight, setKey, setPrintWhenExpression, setPrintWhenGroupChanges, setStyle, setStyleNameReference, setUUID, setY`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElement

      `clone, clone, getBackcolor, getBaseStyle, getDefaultStyleProvider, getElementGroup, getForecolor, getHeight, getKey, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getStretchTypeValue, getStyle, getStyleNameReference, getUUID, getWidth, getX, getY, hasProperties, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setBackcolor, setForecolor, setMode, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

- - ### Field Detail

    - #### PROPERTY_COMPONENT

          public static final java.lang.String PROPERTY_COMPONENT

      See Also:
        Constant Field Values

    - #### PROPERTY_COMPONENT_KEY

          public static final java.lang.String PROPERTY_COMPONENT_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignComponentElement

          public JRDesignComponentElement()

      Creates an empty component element.

    - #### JRDesignComponentElement

          public JRDesignComponentElement(JRDefaultStyleProvider defaultStyleProvider)

      Creates an empty component element.
      Parameters:
        `defaultStyleProvider` - the default style provide to use for this element

  - ### Method Detail

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Overrides:
        `getEventSupport` in class `JRBaseElement`
      Returns:
        the property change support object for this instance

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElement`

    - #### visit

          public void visit(JRVisitor visitor)

      Specified by:
        `visit` in interface `JRVisitable`

    - #### getComponent

          public Component getComponent()

      Description copied from interface: `JRComponentElement`
      Returns the component instance wrapped by this element.
      Specified by:
        `getComponent` in interface `JRComponentElement`
      Returns:
        the component instance

    - #### setComponent

          public void setComponent(Component component)

      Sets the component instance wrapped by this element.
      Parameters:
        `component` - the component instance
      See Also:
        `getComponent()`

    - #### getComponentKey

          public ComponentKey getComponentKey()

      Description copied from interface: `JRComponentElement`
      Returns the component type key for this element.

      The component type key needs to be set in order to locate the component manager.

      Specified by:
        `getComponentKey` in interface `JRComponentElement`
      Returns:
        the component type key

    - #### setComponentKey

          public void setComponentKey(ComponentKey componentKey)

      Sets the component type key that corresponds to the component instance.
      Parameters:
        `componentKey` - the component type key
      See Also:
        `getComponentKey()`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRDesignElement`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com